Blame SOURCES/bind-9.9.1-P2-multlib-conflict.patch

57726f
diff --git a/config.h.in b/config.h.in
57726f
index 4ecaa8f..2f65ccc 100644
57726f
--- a/config.h.in
57726f
+++ b/config.h.in
57726f
@@ -600,7 +600,7 @@ int sigwait(const unsigned int *set, int *sig);
57726f
 #undef PREFER_GOSTASN1
57726f
 
57726f
 /* The size of `void *', as computed by sizeof. */
57726f
-#undef SIZEOF_VOID_P
57726f
+/* #undef SIZEOF_VOID_P */
57726f
 
57726f
 /* Define to 1 if you have the ANSI C header files. */
57726f
 #undef STDC_HEADERS
57726f
diff --git a/isc-config.sh.in b/isc-config.sh.in
57726f
index a8a0a89..b5e94ed 100644
57726f
--- a/isc-config.sh.in
57726f
+++ b/isc-config.sh.in
57726f
@@ -13,7 +13,18 @@ prefix=@prefix@
57726f
 exec_prefix=@exec_prefix@
57726f
 exec_prefix_set=
57726f
 includedir=@includedir@
57726f
-libdir=@libdir@
57726f
+arch=$(uname -m)
57726f
+
57726f
+case $arch in
57726f
+	x86_64 | amd64 | sparc64 | s390x | ppc64)
57726f
+		libdir=/usr/lib64
57726f
+		sec_libdir=/usr/lib
57726f
+		;;
57726f
+	* )
57726f
+		libdir=/usr/lib
57726f
+		sec_libdir=/usr/lib64
57726f
+		;;
57726f
+esac
57726f
 
57726f
 usage()
57726f
 {
57726f
@@ -132,6 +143,16 @@ if test x"$echo_libs" = x"true"; then
57726f
 	if test x"${exec_prefix_set}" = x"true"; then
57726f
 		libs="-L${exec_prefix}/lib"
57726f
 	else
57726f
+		if [ ! -x $libdir/libisc.so ] ; then
57726f
+			if [ ! -x $sec_libdir/libisc.so ] ; then
57726f
+				echo "Error: ISC libs not found in $libdir"
57726f
+				if [ -d $sec_libdir ] ; then
57726f
+					echo "Error: ISC libs not found in $sec_libdir"
57726f
+				fi
57726f
+				exit 1
57726f
+			fi
57726f
+			libdir=$sec_libdir
57726f
+		fi
57726f
 		libs="-L${libdir}"
57726f
 	fi
57726f
 	if test x"$libirs" = x"true" ; then